{"swagger":"2.0","info":{"description":" Check out <a href=\" https://bscdesigner.com/webbsc_manual/api.htm\">API getting started guide</a> for BSC Designer Online.","version":"1.0","title":"BSC Designer Online API Documentation","termsOfService":"urn:tos","contact":{},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0"}},"host":"www.webbsc.com","basePath":"/","tags":[{"name":"calculation-benchmark-controller","description":"Calculation Benchmark Controller"},{"name":"rest-document-list-controller","description":"Rest Document List Controller"},{"name":"report-controller","description":"Report Controller"},{"name":"access-limit-rest-controller","description":"Access Limit Rest Controller"},{"name":"organization-info-rest-controller","description":"Organization Info Rest Controller"},{"name":"admin-documents-rest-controller","description":"Admin Documents Rest Controller"},{"name":"rest-glyph-controller","description":"Rest Glyph Controller"},{"name":"rest-kpi-grouped-values-controller","description":"Rest Kpi Grouped Values Controller"},{"name":"rest-document-controller","description":"Rest Document Controller"},{"name":"rest-kpi-initiative-controller","description":"Rest Kpi Initiative Controller"},{"name":"rest-kpi-value-controller","description":"Rest Kpi Value Controller"},{"name":"rest-document-map-controller","description":"Rest Document Map Controller"},{"name":"rest-kpi-controller","description":"Rest Kpi Controller"}],"paths":{"/rest/api/access/info":{"get":{"tags":["access-limit-rest-controller"],"summary":"Get request count limit info","operationId":"getInfoUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/AccessLimitShortInfo"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/admin/user/{id}/documents":{"get":{"tags":["admin-documents-rest-controller"],"summary":"getDocuments","operationId":"getDocumentsUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Page«AdminDocumentDto»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/document/{docId}/document-check-requests":{"post":{"tags":["rest-document-controller"],"summary":"Check document alerts and WEB SQL indicators","operationId":"checkDocumentUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"docId","in":"path","description":"Document id","required":true,"type":"integer","format":"int64"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK"},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/document/{docId}/download":{"get":{"tags":["rest-document-controller"],"summary":"Download raw document content","operationId":"downloadDocumentUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"docId","in":"path","description":"Document id or alias","required":true,"type":"string"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"string","format":"byte"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/document/{docId}/glyphs/updates":{"put":{"tags":["rest-glyph-controller"],"summary":"refreshGlyphs","operationId":"refreshGlyphsUsingPUT","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"docId","in":"path","description":"docId","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"type":"string"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/document/{docId}/kpi/batch/all/get-value/{date}":{"get":{"tags":["rest-kpi-value-controller"],"summary":"Get values for all indicators from document","operationId":"getAllValuesUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"docId","in":"path","description":"Document id or alias","required":true,"type":"string"},{"name":"date","in":"path","description":"Date (yyyy-MM-dd)","required":true,"type":"string","format":"date-time"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/RestKpiValues"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/document/{docId}/kpi/batch/get-value/{date}":{"post":{"tags":["rest-kpi-value-controller"],"summary":"Get values for particular indicators","operationId":"getChosenValuesUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"docId","in":"path","description":"Document id or alias","required":true,"type":"string"},{"name":"date","in":"path","description":"Date (yyyy-MM-dd)","required":true,"type":"string","format":"date-time"},{"in":"body","name":"requestData","description":"Indicator guids model","required":true,"schema":{"$ref":"#/definitions/RestKpiGetValuesRequest"}},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/RestKpiValues"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/document/{docId}/kpi/batch/set-value/{date}":{"post":{"tags":["rest-kpi-value-controller"],"summary":"Update values for indicators","operationId":"setChosenValuesUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"docId","in":"path","description":"Document id or alias","required":true,"type":"string"},{"name":"date","in":"path","description":"Date (yyyy-MM-dd)","required":true,"type":"string","format":"date-time"},{"in":"body","name":"requestData","description":"Indicators values model","required":true,"schema":{"$ref":"#/definitions/RestKpiSetValuesRequest"}},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/RestKpiValues"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/document/{docId}/kpi/indicator/{guid}/grouped-value/{period}":{"get":{"tags":["rest-kpi-grouped-values-controller"],"summary":"Indicator grouped values","operationId":"getByPeriodUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"docId","in":"path","description":"Document id or alias","required":true,"type":"string"},{"name":"guid","in":"path","description":"Indicator guid","required":true,"type":"string"},{"name":"period","in":"path","description":"Grouping period","required":true,"type":"string","enum":["DAY","WEEK","MONTH","QUARTER","HALF_YEAR","YEAR"]},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/RestKpiGroupedValuesEntity"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/document/{docId}/kpi/indicator/{guid}/grouped-value/{period}/{startDate}/{endDate}":{"get":{"tags":["rest-kpi-grouped-values-controller"],"summary":"Indicator grouped values from start date to end date","operationId":"getByPeriodAndDatesUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"docId","in":"path","description":"Document id or alias","required":true,"type":"string"},{"name":"guid","in":"path","description":"Indicator guid","required":true,"type":"string"},{"name":"period","in":"path","description":"Grouping period","required":true,"type":"string","enum":["DAY","WEEK","MONTH","QUARTER","HALF_YEAR","YEAR"]},{"name":"startDate","in":"path","description":"Start date (yyyy-MM-dd)","required":true,"type":"string","format":"date-time"},{"name":"endDate","in":"path","description":"End date (yyyy-MM-dd)","required":true,"type":"string","format":"date-time"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/RestKpiGroupedValuesEntity"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/document/{docId}/kpi/indicator/{guid}/value/{date}":{"get":{"tags":["rest-kpi-value-controller"],"summary":"Get values for one indicator","operationId":"getSingleValueUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"docId","in":"path","description":"Document id or alias","required":true,"type":"string"},{"name":"guid","in":"path","description":"Indicator guid","required":true,"type":"string"},{"name":"date","in":"path","description":"Date (yyyy-MM-dd)","required":true,"type":"string","format":"date-time"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/RestKpiValue"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"post":{"tags":["rest-kpi-value-controller"],"summary":"Set values for one indicator","operationId":"setSingleValueUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"docId","in":"path","description":"Document id or alias","required":true,"type":"string"},{"name":"guid","in":"path","description":"Indicator guid","required":true,"type":"string"},{"name":"date","in":"path","description":"Date (yyyy-MM-dd)","required":true,"type":"string","format":"date-time"},{"in":"body","name":"data","description":"Indicator values model","required":true,"schema":{"$ref":"#/definitions/RestSetValue"}},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/RestKpiValue"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/document/{docId}/kpi/indicators/grouped-value/{period}/{startDate}/{endDate}":{"get":{"tags":["rest-kpi-grouped-values-controller"],"summary":"All indicators grouped values from start date to end date","operationId":"getBatchByPeriodAndDatesUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"docId","in":"path","description":"Document id or alias","required":true,"type":"string"},{"name":"period","in":"path","description":"Grouping period","required":true,"type":"string","enum":["DAY","WEEK","MONTH","QUARTER","HALF_YEAR","YEAR"]},{"name":"startDate","in":"path","description":"Start date (yyyy-MM-dd)","required":true,"type":"string","format":"date-time"},{"name":"endDate","in":"path","description":"End date (yyyy-MM-dd)","required":true,"type":"string","format":"date-time"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/RestKpiListGroupedValuesEntity"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/document/{docId}/kpi/indicatos/grouped-value/{period}":{"get":{"tags":["rest-kpi-grouped-values-controller"],"summary":"All indicators grouped values","operationId":"getBatchByPeriodUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"docId","in":"path","description":"Document id or alias","required":true,"type":"string"},{"name":"period","in":"path","description":"Grouping period","required":true,"type":"string","enum":["DAY","WEEK","MONTH","QUARTER","HALF_YEAR","YEAR"]},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/RestKpiListGroupedValuesEntity"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/document/{docId}/kpi/list":{"get":{"tags":["rest-document-controller"],"summary":"Get documents list","operationId":"getKpiListUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"docId","in":"path","description":"Document id or alias","required":true,"type":"string"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/RestDocumentKpis"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/document/{docId}/kpi/tree":{"get":{"tags":["rest-document-controller"],"summary":"Get documents tree","operationId":"getKpiTreeUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"docId","in":"path","description":"Document id or alias","required":true,"type":"string"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/RestDocumentKpis"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/document/{docId}/kpi/weight-balance":{"put":{"tags":["rest-document-controller"],"summary":"Balance scorecard","operationId":"runStrategyMapWizardUsingPUT","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"docId","in":"path","description":"Document id or alias","required":true,"type":"string"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/WeightCalculateChangeResult"}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/document/{docId}/kpi/{guid}":{"get":{"tags":["rest-kpi-controller"],"summary":"Get indicator info","operationId":"getKpiUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"docId","in":"path","description":"Document id or alias","required":true,"type":"string"},{"name":"guid","in":"path","description":"Indicator guid","required":true,"type":"string"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/RestKpiItem"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"put":{"tags":["rest-kpi-controller"],"summary":"Set indicator info","operationId":"setKpiUsingPUT","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"docId","in":"path","description":"Document id or alias","required":true,"type":"string"},{"name":"guid","in":"path","description":"Indicator guid","required":true,"type":"string"},{"in":"body","name":"kpiItem","description":"kpiItem","required":true,"schema":{"$ref":"#/definitions/RestKpiItemUpdateDto"}},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/RestKpiItem"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/document/{docId}/kpi/{guid}/initiatives":{"get":{"tags":["rest-kpi-initiative-controller"],"summary":"Get indicator initiatives","operationId":"getInitiativesUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"docId","in":"path","description":"Document id or alias","required":true,"type":"string"},{"name":"guid","in":"path","description":"Indicator guid","required":true,"type":"string"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/InitiativeOutDTO"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"post":{"tags":["rest-kpi-initiative-controller"],"summary":"Create initiative for indicator","operationId":"createInitiativeUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"docId","in":"path","description":"Document id or alias","required":true,"type":"string"},{"name":"guid","in":"path","description":"Indicator guid","required":true,"type":"string"},{"in":"body","name":"initiativeCreateRequest","description":"Model","required":true,"schema":{"$ref":"#/definitions/InitiativeUpdateDto"}},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/InitiativeOutDTO"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/document/{docId}/kpi/{guid}/initiatives/{initiativeGuid}":{"get":{"tags":["rest-kpi-initiative-controller"],"summary":"Get one initiative from indicator","operationId":"getInitiativeUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"docId","in":"path","description":"Document id or alias","required":true,"type":"string"},{"name":"guid","in":"path","description":"Indicator guid","required":true,"type":"string"},{"name":"initiativeGuid","in":"path","description":"Initiative guid","required":true,"type":"string"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/InitiativeOutDTO"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"put":{"tags":["rest-kpi-initiative-controller"],"summary":"Update initiative for indicator","operationId":"updateInitiativeUsingPUT","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"docId","in":"path","description":"Document id or alias","required":true,"type":"string"},{"name":"guid","in":"path","description":"Indicator guid","required":true,"type":"string"},{"name":"initiativeGuid","in":"path","description":"Initiative guid","required":true,"type":"string"},{"in":"body","name":"initiativeUpdateRequest","description":"Model","required":true,"schema":{"$ref":"#/definitions/InitiativeUpdateDto"}},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/InitiativeOutDTO"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"delete":{"tags":["rest-kpi-initiative-controller"],"summary":"Delete initiative from indicator","operationId":"removeInitiativeUsingDELETE","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"docId","in":"path","description":"Document id or alias","required":true,"type":"string"},{"name":"guid","in":"path","description":"Indicator guid","required":true,"type":"string"},{"name":"initiativeGuid","in":"path","description":"Initiative guid","required":true,"type":"string"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK"},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/rest/api/document/{docId}/maps":{"get":{"tags":["rest-document-map-controller"],"summary":"Get document maps list","operationId":"getMapsUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"docId","in":"path","description":"Document id or alias","required":true,"type":"string"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/RestDocumentMaps"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/document/{docId}/maps/all/wizzards":{"put":{"tags":["rest-document-map-controller"],"summary":"Rerun strategy map wizard on all strategy maps","operationId":"runStrategyMapWizardForAllMapsUsingPUT","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"docId","in":"path","description":"Document id or alias","required":true,"type":"string"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK"},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/document/{docId}/maps/{mapId}/wizzards":{"put":{"tags":["rest-document-map-controller"],"summary":"Rerun strategy map wizard on chosen strategy map","operationId":"runStrategyMapWizardForChosenMapUsingPUT","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"docId","in":"path","description":"Document id or alias","required":true,"type":"string"},{"name":"mapId","in":"path","description":"Strategy map guid","required":true,"type":"string"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK"},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/document/{documentId}/benchmark":{"get":{"tags":["calculation-benchmark-controller"],"summary":"benchmarkDocument","operationId":"benchmarkDocumentUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"documentId","in":"path","description":"documentId","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Benchmark"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/document/{documentId}/kpi/indicator/{indicatorGuid}/baseline/{date}":{"delete":{"tags":["rest-kpi-value-controller"],"summary":"Delete baseline for one indicator for particular date","operationId":"deleteBaselineAtUsingDELETE","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"documentId","in":"path","description":"Document id","required":true,"type":"integer","format":"int64"},{"name":"indicatorGuid","in":"path","description":"Indicator guid","required":true,"type":"string"},{"name":"date","in":"path","description":"Date (yyyy-MM-dd)","required":true,"type":"string","format":"date"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK"},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/rest/api/document/{documentId}/kpi/indicator/{indicatorGuid}/max/{date}":{"delete":{"tags":["rest-kpi-value-controller"],"summary":"Delete 'max' value for one indicator for particular date","operationId":"deleteMaxAtUsingDELETE","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"documentId","in":"path","description":"Document id","required":true,"type":"integer","format":"int64"},{"name":"indicatorGuid","in":"path","description":"Indicator guid","required":true,"type":"string"},{"name":"date","in":"path","description":"Date (yyyy-MM-dd)","required":true,"type":"string","format":"date"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK"},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/rest/api/document/{documentId}/kpi/indicator/{indicatorGuid}/min/{date}":{"delete":{"tags":["rest-kpi-value-controller"],"summary":"Delete 'min' value for one indicator for particular date","operationId":"deleteMinAtUsingDELETE","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"documentId","in":"path","description":"Document id","required":true,"type":"integer","format":"int64"},{"name":"indicatorGuid","in":"path","description":"Indicator guid","required":true,"type":"string"},{"name":"date","in":"path","description":"Date (yyyy-MM-dd)","required":true,"type":"string","format":"date"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK"},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/rest/api/document/{documentId}/kpi/indicator/{indicatorGuid}/score/{date}":{"delete":{"tags":["rest-kpi-value-controller"],"summary":"Delete score for one indicator for particular date","operationId":"deleteScoreAtUsingDELETE","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"documentId","in":"path","description":"Document id","required":true,"type":"integer","format":"int64"},{"name":"indicatorGuid","in":"path","description":"Indicator guid","required":true,"type":"string"},{"name":"date","in":"path","description":"Date (yyyy-MM-dd)","required":true,"type":"string","format":"date"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK"},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/rest/api/document/{documentId}/kpi/indicator/{indicatorGuid}/target/{date}":{"delete":{"tags":["rest-kpi-value-controller"],"summary":"Delete target for one indicator for particular date","operationId":"deleteTargetAtUsingDELETE","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"documentId","in":"path","description":"Document id","required":true,"type":"integer","format":"int64"},{"name":"indicatorGuid","in":"path","description":"Indicator guid","required":true,"type":"string"},{"name":"date","in":"path","description":"Date (yyyy-MM-dd)","required":true,"type":"string","format":"date"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK"},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/rest/api/document/{documentId}/kpi/indicator/{indicatorGuid}/values/{date}":{"get":{"tags":["rest-kpi-value-controller"],"summary":"Get values for one indicator for particular date","operationId":"getValueAtUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"documentId","in":"path","description":"Document id","required":true,"type":"integer","format":"int64"},{"name":"indicatorGuid","in":"path","description":"Indicator guid","required":true,"type":"string"},{"name":"date","in":"path","description":"Date (yyyy-MM-dd)","required":true,"type":"string","format":"date"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/RestIndicatorValue"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"delete":{"tags":["rest-kpi-value-controller"],"summary":"Delete all values for one indicator for particular date","operationId":"deleteValueAtUsingDELETE","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"documentId","in":"path","description":"Document id","required":true,"type":"integer","format":"int64"},{"name":"indicatorGuid","in":"path","description":"Indicator guid","required":true,"type":"string"},{"name":"date","in":"path","description":"Date (yyyy-MM-dd)","required":true,"type":"string","format":"date"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK"},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/rest/api/documents":{"post":{"tags":["rest-document-list-controller"],"summary":"Create empty document","operationId":"createDocumentUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"documentCreateDto","description":"Model","required":true,"schema":{"$ref":"#/definitions/RestDocumentCreateDto"}},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/RestDocumentItem"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/documents/list":{"get":{"tags":["rest-document-list-controller"],"summary":"All owned documents for current user","operationId":"getDocumentsListUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/RestDocumentListEntity"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/documents/list/{idOrAlias}":{"get":{"tags":["rest-document-list-controller"],"summary":"Get document info","operationId":"getDocumentInfoUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"idOrAlias","in":"path","description":"Document id or alias","required":true,"type":"string"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/RestDocumentItem"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/documents/list/{id}":{"put":{"tags":["rest-document-list-controller"],"summary":"Update document","operationId":"updateDocumentUsingPUT","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"id","in":"path","description":"Document id","required":true,"type":"integer","format":"int64"},{"in":"body","name":"dto","description":"Model","required":true,"schema":{"$ref":"#/definitions/RestUpdateDocumentDto"}},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/RestDocumentItem"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"delete":{"tags":["rest-document-list-controller"],"summary":"Delete document","operationId":"deleteDocumentUsingDELETE","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"id","in":"path","description":"Document id","required":true,"type":"integer","format":"int64"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK"},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/rest/api/documents/tree":{"get":{"tags":["rest-document-list-controller"],"summary":"Owned document tree for current user","operationId":"getDocumentTreeUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/RestTreeEntity"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/initiative-statuses":{"get":{"tags":["rest-kpi-initiative-controller"],"summary":"Get all initiative statuses available for current user","operationId":"getAllAvailableInitiativeStatusesUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"type":"string"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/organization-info":{"get":{"tags":["organization-info-rest-controller"],"summary":"Get organization info","operationId":"getOrganizationInfoModelUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/OrganizationInfoModel"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/report/{id}/excel":{"get":{"tags":["report-controller"],"summary":"Get excel report for document for chosen or default date","operationId":"getExcelReportAtDateForRestUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"id","in":"path","description":"Document id","required":true,"type":"integer","format":"int64"},{"name":"start","in":"query","description":"Date (yyyy-MM-dd)","required":false,"type":"string","format":"date-time"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"string","format":"byte"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/service/enums/indicator-types":{"get":{"tags":["rest-kpi-controller"],"summary":"Get list of all possible indicator types","operationId":"getIndicatorBusinessTypeUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"type":"string","enum":["LEADING","LAGGING"]}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/users/{userId}/documents":{"post":{"tags":["rest-document-list-controller"],"summary":"Create empty document for user","operationId":"createDocumentForUserUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"documentCreateDto","description":"Model","required":true,"schema":{"$ref":"#/definitions/RestDocumentCreateDto"}},{"name":"userId","in":"path","description":"User id","required":true,"type":"integer","format":"int64"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/RestDocumentItem"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/users/{userId}/documents/list":{"get":{"tags":["rest-document-list-controller"],"summary":"All owned documents for  user","operationId":"getDocumentsListForUserUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"userId","in":"path","description":"User id","required":true,"type":"integer","format":"int64"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/RestDocumentListEntity"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/rest/api/users/{userId}/documents/tree":{"get":{"tags":["rest-document-list-controller"],"summary":"Owned document tree for user","operationId":"getDocumentTreeForUserUsingGET","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"userId","in":"path","description":"User id","required":true,"type":"integer","format":"int64"},{"name":"token","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/RestTreeEntity"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}}},"definitions":{"AccessLimitShortInfo":{"type":"object","properties":{"allowedCount":{"type":"integer","format":"int32","description":"Total allowed requests per hour"},"email":{"type":"string"},"error":{"type":"string"},"usedCount":{"type":"integer","format":"int32","description":"Already executed requests per last hour"}}},"AdminDocumentDto":{"type":"object","properties":{"aiResponsesCount":{"type":"integer","format":"int32"},"alias":{"type":"string"},"comment":{"type":"string"},"created":{"type":"string","format":"date-time"},"dashboards":{"type":"array","items":{"$ref":"#/definitions/Dashboard"}},"deleted":{"type":"string","format":"date-time"},"documentAttributesLocation":{"type":"string","enum":["LOCAL","ONLINE"]},"globalDashboard":{"type":"boolean"},"glyph1":{"type":"string","enum":["None","StopLightPerformance","StopLightProgress","TimeChart","Gauge","ProgressBarPerformance","ProgressBarProgress","Value","Dynamics","GaugeProgress","Icon","Target"]},"glyph1data":{"type":"string"},"glyph2":{"type":"string","enum":["None","StopLightPerformance","StopLightProgress","TimeChart","Gauge","ProgressBarPerformance","ProgressBarProgress","Value","Dynamics","GaugeProgress","Icon","Target"]},"glyph2data":{"type":"string"},"glyphs":{"type":"array","items":{"$ref":"#/definitions/BusGlyphJsonData"}},"guid":{"type":"string"},"id":{"type":"integer","format":"int64"},"indicatorReplicasDependedIndicatorsCount":{"type":"integer","format":"int32"},"indicatorsCount":{"type":"integer","format":"int32"},"initiativesCount":{"type":"integer","format":"int32"},"lastGlyphTaskGuid":{"type":"string"},"lastGlyphTaskSubmitDate":{"type":"string","format":"date-time"},"localizedDocumentReferencesCount":{"type":"integer","format":"int32"},"name":{"type":"string"},"nameForSave":{"type":"string"},"nextUpdateDate":{"type":"string"},"pendingSqlInfo":{"$ref":"#/definitions/PendingSql"},"permissionsToTeams":{"type":"array","items":{"$ref":"#/definitions/Team"}},"permissionsToUsers":{"type":"array","items":{"$ref":"#/definitions/User"}},"reportSchedulesCount":{"type":"integer","format":"int32"},"sharedForPublic":{"type":"boolean"},"sharedForRegRW":{"type":"boolean"},"strategyMaps":{"type":"array","items":{"$ref":"#/definitions/StrategyMap"}},"treeGroups":{"type":"array","items":{"$ref":"#/definitions/TreeGroup"}},"valueMergeRequestsCount":{"type":"integer","format":"int32"}}},"AuditMetadataModel":{"type":"object","properties":{"createdBy":{"$ref":"#/definitions/UserData"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"$ref":"#/definitions/UserData"},"lastModifiedDate":{"type":"string","format":"date-time"}}},"Benchmark":{"type":"object","properties":{"loadFromCache":{"type":"integer","format":"int64"},"recalcCache":{"type":"object","additionalProperties":{"type":"integer","format":"int64"}},"searchInDb":{"type":"integer","format":"int64"},"total":{"type":"integer","format":"int64"},"updateImported":{"type":"integer","format":"int64"}}},"BscDate":{"type":"object","properties":{"dateFormatted":{"type":"string"}}},"BusGlyphJsonData":{"type":"object","properties":{"dynamicByDay":{"type":"string","enum":["None","Up","UpUp","Down","DownDown"]},"gauge":{"$ref":"#/definitions/GaugeChartDataOptions"},"glyph":{"type":"string","enum":["None","StopLightPerformance","StopLightProgress","TimeChart","Gauge","ProgressBarPerformance","ProgressBarProgress","Value","Dynamics","GaugeProgress","Icon","Target"]},"progressBarData":{"$ref":"#/definitions/ProgressBarData"},"stopLightKind":{"type":"string","enum":["RED","ORANGE","YELLOW","LIME","GREEN"]},"timeChartData":{"$ref":"#/definitions/TimeChartData"},"value":{"type":"string"}}},"CompareModel":{"type":"object","properties":{"evidenceTemplateGuid":{"type":"string"},"kind":{"type":"string","enum":["FILE","URL","USER_FILE"]},"linkedDate":{"$ref":"#/definitions/BscDate"},"path":{"type":"string"},"title":{"type":"string"}}},"Dashboard":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"GaugeChartDataOptions":{"type":"object","properties":{"baseline":{"type":"number","format":"double"},"bg":{"type":"array","items":{"type":"array","items":{"type":"object"}}},"footer":{"type":"string"},"hasValue":{"type":"boolean"},"header":{"type":"string"},"max":{"type":"number","format":"double"},"maxText":{"type":"string"},"min":{"type":"number","format":"double"},"minText":{"type":"string"},"subHeader":{"type":"string"},"target":{"type":"number","format":"double"},"value":{"type":"number","format":"double"}}},"Indicator":{"type":"object","properties":{"guid":{"type":"string"},"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"IndicatorEvidenceTemplate":{"type":"object","properties":{"guid":{"type":"string"},"name":{"type":"string"},"required":{"type":"boolean"},"scope":{"type":"string","enum":["DATE","INDICATOR"]}}},"IndicatorResponsible":{"type":"object","properties":{"indicator":{"$ref":"#/definitions/Indicator"},"user":{"$ref":"#/definitions/User"}}},"IndicatorResponsibleTeam":{"type":"object","properties":{"indicator":{"$ref":"#/definitions/Indicator"},"team":{"$ref":"#/definitions/Team"}}},"Initiative":{"type":"object","properties":{"guid":{"type":"string"},"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"InitiativeDocument":{"type":"object","properties":{"auditMetadata":{"$ref":"#/definitions/AuditMetadataModel"},"compareModel":{"$ref":"#/definitions/CompareModel"},"evidenceTemplate":{"$ref":"#/definitions/IndicatorEvidenceTemplate"},"kind":{"type":"string","enum":["FILE","URL","USER_FILE"]},"linkedDate":{"$ref":"#/definitions/BscDate"},"path":{"type":"string"},"title":{"type":"string"},"viewTitle":{"type":"string"}}},"InitiativeOutDTO":{"type":"object","properties":{"actualBudget":{"type":"number","format":"double"},"alignedInitiativesGuids":{"type":"array","items":{"type":"string"}},"alignedKpiGuid":{"type":"string"},"author":{"type":"string"},"budget":{"type":"number","format":"double"},"currency":{"type":"string"},"description":{"type":"string"},"documents":{"type":"array","items":{"$ref":"#/definitions/InitiativeDocument"}},"duration":{"type":"number","format":"double"},"durationUnit":{"type":"string","enum":["HOUR","DAY","MONTH","QUARTER"]},"guid":{"type":"string"},"initiativeType":{"type":"string","enum":["INITIATIVE","SUCCESS_FACTOR","EXPECTED_OUTCOME","RATIONALE","HYPOTHESIS","RISK"]},"intervalEnd":{"type":"string","format":"date-time","example":"2017-01-20"},"intervalStart":{"type":"string","format":"date-time","example":"2017-01-20"},"name":{"type":"string"},"responsible":{"type":"array","items":{"type":"string"}},"showOnMap":{"type":"boolean"},"status":{"type":"string"}}},"InitiativeResponsible":{"type":"object","properties":{"initiative":{"$ref":"#/definitions/Initiative"},"user":{"$ref":"#/definitions/User"}}},"InitiativeResponsibleTeam":{"type":"object","properties":{"initiative":{"$ref":"#/definitions/Initiative"},"team":{"$ref":"#/definitions/Team"}}},"InitiativeUpdateDto":{"type":"object","properties":{"actualBudget":{"type":"number","format":"double"},"alignedInitiativesGuids":{"type":"array","items":{"type":"string"}},"alignedKpiGuid":{"type":"string"},"budget":{"type":"number","format":"double"},"currency":{"type":"string"},"description":{"type":"string"},"documents":{"type":"array","items":{"$ref":"#/definitions/InitiativeDocument"}},"duration":{"type":"number","format":"double"},"durationUnit":{"type":"string","enum":["HOUR","DAY","MONTH","QUARTER"]},"initiativeType":{"type":"string","enum":["INITIATIVE","SUCCESS_FACTOR","EXPECTED_OUTCOME","RATIONALE","HYPOTHESIS","RISK"]},"intervalEnd":{"type":"string","format":"date-time","example":"2017-01-20"},"intervalStart":{"type":"string","format":"date-time","example":"2017-01-20"},"name":{"type":"string"},"responsible":{"type":"array","items":{"type":"string"}},"showOnMap":{"type":"boolean"},"status":{"type":"string"}}},"MeasureNumberValue":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"number","format":"double"}}},"OrganizationInfoModel":{"type":"object","properties":{"settings":{"$ref":"#/definitions/OrganizationSettingDto"},"strategy":{"$ref":"#/definitions/StrategyModel"}}},"OrganizationSettingDto":{"type":"object","properties":{"firstDayOfWeek":{"type":"string","enum":["SUNDAY","MONDAY","TUESDAY","WEDNESDAY","THURSDAY","FRIDAY","SATURDAY"]},"fiscalYearStartDay":{"type":"integer","format":"int32"},"fiscalYearStartMonth":{"type":"string","enum":["JANUARY","FEBRUARY","MARCH","APRIL","MAY","JUNE","JULY","AUGUST","SEPTEMBER","OCTOBER","NOVEMBER","DECEMBER"]},"groupingPeriodInterval":{"type":"string","enum":["TOTAL","SELECTED","NOW"]},"name":{"type":"string"}}},"Pageable":{"type":"object","properties":{"offset":{"type":"integer","format":"int64"},"pageNumber":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"paged":{"type":"boolean"},"sort":{"$ref":"#/definitions/Sort"},"unpaged":{"type":"boolean"}}},"Page«AdminDocumentDto»":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/definitions/AdminDocumentDto"}},"empty":{"type":"boolean"},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/definitions/Pageable"},"size":{"type":"integer","format":"int32"},"sort":{"$ref":"#/definitions/Sort"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"}}},"PendingSql":{"type":"object","properties":{"executed":{"type":"integer","format":"int32"},"lastExecuted":{"type":"string","format":"date-time"},"total":{"type":"integer","format":"int32"}}},"ProgressBarData":{"type":"object","properties":{"barClass":{"type":"string"},"value":{"type":"number","format":"double"},"valueStr":{"type":"string"}}},"RestDocumentCreateDto":{"type":"object","properties":{"parentGroupId":{"type":"integer","format":"int64"}}},"RestDocumentItem":{"type":"object","properties":{"alias":{"type":"string"},"description":{"type":"string"},"guid":{"type":"string"},"icon":{"type":"string"},"id":{"type":"integer","format":"int64"},"items":{"type":"array","items":{"$ref":"#/definitions/RestTreeItem"}},"name":{"type":"string"},"ownerId":{"type":"integer","format":"int64"},"sharedForPublic":{"type":"boolean"},"sharedForRegRW":{"type":"boolean"},"treeGroupId":{"type":"integer","format":"int64"},"type":{"type":"string","enum":["GROUP","DOCUMENT"]}}},"RestDocumentKpis":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/definitions/RestKpiItem"}},"root":{"$ref":"#/definitions/RestKpiItem"}}},"RestDocumentListEntity":{"type":"object","properties":{"documents":{"type":"array","items":{"$ref":"#/definitions/RestDocumentItem"}},"sharedToUser":{"type":"array","items":{"$ref":"#/definitions/RestTreeItem"}}}},"RestDocumentMap":{"type":"object","properties":{"guid":{"type":"string"},"name":{"type":"string"}}},"RestDocumentMaps":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/definitions/RestDocumentMap"}}}},"RestIndicatorValue":{"type":"object","properties":{"baseline":{"type":"number","format":"double"},"max":{"type":"number","format":"double"},"min":{"type":"number","format":"double"},"score":{"type":"number","format":"double"},"target":{"type":"number","format":"double"}}},"RestKpiGetValuesRequest":{"type":"object","properties":{"guids":{"type":"array","items":{"type":"string"}}}},"RestKpiGroupedValue":{"type":"object","properties":{"baseline":{"type":"number","format":"double"},"baselinePerformance":{"type":"number","format":"double"},"baselineProgress":{"type":"number","format":"double"},"endDate":{"type":"string","format":"date-time","example":"2017-01-20"},"max":{"type":"number","format":"double"},"min":{"type":"number","format":"double"},"performance":{"type":"number","format":"double"},"progress":{"type":"number","format":"double"},"startDate":{"type":"string","format":"date-time","example":"2017-01-20"},"target":{"type":"number","format":"double"},"targetPerformance":{"type":"number","format":"double"},"targetProgress":{"type":"number","format":"double"},"value":{"type":"number","format":"double"}}},"RestKpiGroupedValues":{"type":"object","properties":{"item":{"$ref":"#/definitions/RestKpiItem"},"lagging":{"type":"array","items":{"$ref":"#/definitions/RestKpiGroupedValue"}},"leading":{"type":"array","items":{"$ref":"#/definitions/RestKpiGroupedValue"}}}},"RestKpiGroupedValuesEntity":{"type":"object","properties":{"end":{"type":"string","format":"date-time","example":"2017-01-20"},"item":{"$ref":"#/definitions/RestKpiGroupedValues"},"period":{"type":"string","enum":["DAY","WEEK","MONTH","QUARTER","HALF_YEAR","YEAR"]},"start":{"type":"string","format":"date-time","example":"2017-01-20"}}},"RestKpiItem":{"type":"object","properties":{"acceptValueData":{"type":"boolean"},"description":{"type":"string"},"guid":{"type":"string"},"indicatorType":{"type":"string","enum":["LEADING","LAGGING"]},"initiatives":{"type":"array","items":{"$ref":"#/definitions/InitiativeOutDTO"}},"items":{"type":"array","items":{"$ref":"#/definitions/RestKpiItem"}},"measure":{"type":"string"},"measureNames":{"type":"array","items":{"$ref":"#/definitions/MeasureNumberValue"}},"name":{"type":"string"},"updateInterval":{"type":"string"}}},"RestKpiItemReference":{"type":"object","properties":{"guid":{"type":"string"}}},"RestKpiItemUpdateDto":{"type":"object","properties":{"description":{"type":"string"},"indicatorType":{"type":"string","enum":["LEADING","LAGGING"]},"name":{"type":"string"}}},"RestKpiListGroupedValuesEntity":{"type":"object","properties":{"end":{"type":"string","format":"date-time","example":"2017-01-20"},"items":{"type":"array","items":{"$ref":"#/definitions/RestKpiGroupedValues"}},"period":{"type":"string","enum":["DAY","WEEK","MONTH","QUARTER","HALF_YEAR","YEAR"]},"start":{"type":"string","format":"date-time","example":"2017-01-20"}}},"RestKpiSetValue":{"type":"object","properties":{"baseline":{"type":"number","format":"double"},"item":{"$ref":"#/definitions/RestKpiItemReference"},"max":{"type":"number","format":"double"},"min":{"type":"number","format":"double"},"target":{"type":"number","format":"double"},"value":{"type":"number","format":"double"}}},"RestKpiSetValuesRequest":{"type":"object","properties":{"values":{"type":"array","items":{"$ref":"#/definitions/RestKpiSetValue"}}}},"RestKpiValue":{"type":"object","properties":{"baseline":{"type":"number","format":"double"},"baselineDate":{"type":"string","format":"date-time","example":"2017-01-20"},"date":{"type":"string","format":"date-time","example":"2017-01-20"},"item":{"$ref":"#/definitions/RestKpiItem"},"max":{"type":"number","format":"double"},"maxDate":{"type":"string","format":"date-time","example":"2017-01-20"},"min":{"type":"number","format":"double"},"minDate":{"type":"string","format":"date-time","example":"2017-01-20"},"target":{"type":"number","format":"double"},"targetDate":{"type":"string","format":"date-time","example":"2017-01-20"},"value":{"type":"number","format":"double"},"valueDate":{"type":"string","format":"date-time","example":"2017-01-20"}}},"RestKpiValues":{"type":"object","properties":{"values":{"type":"array","items":{"$ref":"#/definitions/RestKpiValue"}}}},"RestSetValue":{"type":"object","properties":{"baseline":{"type":"number","format":"double"},"max":{"type":"number","format":"double"},"min":{"type":"number","format":"double"},"target":{"type":"number","format":"double"},"value":{"type":"number","format":"double"}}},"RestTreeEntity":{"type":"object","properties":{"root":{"$ref":"#/definitions/RestTreeGroup"},"sharedToUser":{"type":"array","items":{"$ref":"#/definitions/RestTreeItem"}}}},"RestTreeGroup":{"type":"object","properties":{"description":{"type":"string"},"guid":{"type":"string"},"id":{"type":"integer","format":"int64"},"items":{"type":"array","items":{"$ref":"#/definitions/RestTreeItem"}},"name":{"type":"string"},"treeGroupId":{"type":"integer","format":"int64"},"type":{"type":"string","enum":["GROUP","DOCUMENT"]}}},"RestTreeItem":{"type":"object","properties":{"description":{"type":"string"},"guid":{"type":"string"},"id":{"type":"integer","format":"int64"},"items":{"type":"array","items":{"$ref":"#/definitions/RestTreeItem"}},"name":{"type":"string"},"treeGroupId":{"type":"integer","format":"int64"},"type":{"type":"string","enum":["GROUP","DOCUMENT"]}}},"RestUpdateDocumentDto":{"type":"object","properties":{"alias":{"type":"string"},"description":{"type":"string"},"name":{"type":"string"},"sharedForPublic":{"type":"boolean"},"sharedForRegRW":{"type":"boolean"}}},"Sort":{"type":"object","properties":{"empty":{"type":"boolean"},"sorted":{"type":"boolean"},"unsorted":{"type":"boolean"}}},"StrategyMap":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"StrategyModel":{"type":"object","properties":{"additional":{"type":"string"},"mission":{"type":"string"},"values":{"type":"string"},"vision":{"type":"string"}}},"Team":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"TimeChartData":{"type":"object","properties":{"data":{"type":"array","items":{"type":"array","items":{"type":"object"}}},"fill":{"type":"boolean"}}},"TreeGroup":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"permissions":{"type":"array","items":{"$ref":"#/definitions/TreePermission"}}}},"TreePermission":{"type":"object","properties":{"dashboard":{"$ref":"#/definitions/Dashboard"},"id":{"type":"integer","format":"int64"},"indicator":{"$ref":"#/definitions/Indicator"},"indicatorResponsibleTeams":{"type":"array","items":{"$ref":"#/definitions/IndicatorResponsibleTeam"}},"indicatorResponsibles":{"type":"array","items":{"$ref":"#/definitions/IndicatorResponsible"}},"initiative":{"$ref":"#/definitions/Initiative"},"initiativeResponsibleTeams":{"type":"array","items":{"$ref":"#/definitions/InitiativeResponsibleTeam"}},"initiativeResponsibles":{"type":"array","items":{"$ref":"#/definitions/InitiativeResponsible"}},"permissionType":{"type":"string","enum":["WRITE","READ","MODIFY_INDICATOR","MODIFY_INDICATOR_VALUE","VIEW_INDICATOR_VALUE","INDICATOR_OWNER","INITIATIVE_OWNER","VIEW_DASHBOARD"]},"team":{"$ref":"#/definitions/Team"},"user":{"$ref":"#/definitions/User"}}},"User":{"type":"object","properties":{"email":{"type":"string"},"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"UserData":{"type":"object","properties":{"email":{"type":"string"},"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"owner":{"$ref":"#/definitions/UserData"}}},"WeightCalculateChangeResult":{"type":"object","properties":{"indicatorGuid":{"type":"string"},"indicatorName":{"type":"string"},"newWeight":{"type":"number","format":"double"},"oldWeight":{"type":"number","format":"double"}}}}}